Bug 1394104 - Login screen keeps rotating
Summary: Login screen keeps rotating
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 27
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-11 04:38 UTC by Berend De Schouwer
Modified: 2018-11-30 18:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:21:14 UTC


Attachments (Terms of Use)

Description Berend De Schouwer 2016-11-11 04:38:46 UTC
Description of problem:

The login screen keeps rotating about once a second.

rotating => 0, 90, 180, 270 degrees, in 90 degree steps.

Login itself is hard.  Every time the screen rotates, the focus (briefly) goes to /dev/tty1.  I can spot some of my password going there.

Once logged in (type fast!), the screen no longer rotates.



Version-Release number of selected component (if applicable):

gdm-3.22.1-1.fc25.x86_64


How reproducible:

Every reboot.


Steps to Reproduce:
1. Boot
2. Wait for login screen
3.


Actual results:

Login screen keeps rotating.  Maybe it thinks this is a tablet with a gyroscope?


Expected results:

Login screen is stable


Additional info:


1. journalctl

Sometimes on login, the session immediately dies and bounces me back to login.  This might be a race condition with the login/rotate process.

In journalctl, the only unexpected statement is:
Nov 11 06:33:47 sieve-deschouwer-co-za gnome-shell[2088]: Failed to apply DRM plane transform 0: Permission denied
Nov 11 06:33:47 sieve-deschouwer-co-za gnome-settings-[2409]: no xrandr-HDMI-1 device found: Failed to find output xrandr-HDMI-1

This persists after login.


2. HDMI

After login I plug in an HDMI screen.  The rotation happens on the main laptop screen without a HDMI monitor plugged in.


3. Hardware

I suppose this is due to hardware, so I'll list some lspci stuff.  This hardware worked on f22/23/24

00:00.0 Host bridge: Intel Corporation Broadwell-U Host Bridge -OPI (rev 09)
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 5500 (rev 09)
00:03.0 Audio device: Intel Corporation Broadwell-U Audio Controller (rev 09)
00:14.0 USB controller: Intel Corporation Wildcat Point-LP USB xHCI Controller (rev 03)
00:16.0 Communication controller: Intel Corporation Wildcat Point-LP MEI Controller #1 (rev 03)
00:1b.0 Audio device: Intel Corporation Wildcat Point-LP High Definition Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation Wildcat Point-LP PCI Express Root Port #1 (rev e3)
00:1c.1 PCI bridge: Intel Corporation Wildcat Point-LP PCI Express Root Port #2 (rev e3)
00:1c.2 PCI bridge: Intel Corporation Wildcat Point-LP PCI Express Root Port #3 (rev e3)
00:1c.3 PCI bridge: Intel Corporation Wildcat Point-LP PCI Express Root Port #4 (rev e3)
00:1c.4 PCI bridge: Intel Corporation Wildcat Point-LP PCI Express Root Port #5 (rev e3)
00:1d.0 USB controller: Intel Corporation Wildcat Point-LP USB EHCI Controller (rev 03)
00:1f.0 ISA bridge: Intel Corporation Wildcat Point-LP LPC Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation Wildcat Point-LP SATA Controller [AHCI Mode] (rev 03)
07:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS5227 PCI Express Card Reader (rev 01)
08:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 10)
09:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8723BE PCIe Wireless Network Adapter
0a:00.0 Display controller: Advanced Micro Devices, Inc. [AMD/ATI] Topaz PRO [Radeon R5 M255]

Comment 1 Berend De Schouwer 2016-11-23 09:56:48 UTC
It looks like immediately after login it goes back to the login screen, with the same user selected.  It looks like immediately after login it assumes I've selected "Switch User."

If I then suspend & unsuspend the laptop I get the locked-screen prompt, which is different to the "switch user" prompt.

I can unlock the screen, and then proceed to work.

So bootup is:
1. login screen refreshes (and rotates) constantly
2. first correct login immediately goes to "switch user"
3. switch user login still refreshes (and rotates) constantly
4. any successful login goes back to (3.)
5. suspend
6. wakeup, receive unlock screen.  This does not refresh/rotate.
7. unlock screen
8. work

Comment 2 Berend De Schouwer 2017-01-27 08:25:46 UTC
This is likely related to #1379430

Especially that bug's comment #2: my laptop does apparently have an accelerometer

Comment 3 Berend De Schouwer 2017-01-27 08:28:23 UTC
This may be related to gdm getting:

gnome-shell[2188]: Failed to apply DRM plane transform 0: Permission denied

once I'm logged in (gnome-shell under a different user), this message stops.

Comment 4 Berend De Schouwer 2017-06-28 09:36:29 UTC
Still a problem in F26 Beta

Comment 5 Geoff Ericksson 2017-08-02 10:56:30 UTC
I have this same problem on kernel 4.11.11-300.fc26.x86_64 with hardware

product: 80QE (LENOVO_MT_80QE_BU_idea_FM_Lenovo YOGA 700-11ISK)

I'm happy to provide further information or testing if somebody is looking into fixing this bug.

Comment 6 Berend De Schouwer 2017-08-25 11:23:42 UTC
I've been able to stop this with:
sudo systemctl disable iio-sensor-proxy
sudo systemctl mask iio-sensor-proxy

Bonus:
iio-sensor-proxy used to bump my load average up by 1, and that's gone now.

Comment 7 Fedora End Of Life 2017-11-16 19:42:54 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Berend De Schouwer 2017-11-20 09:06:56 UTC
This is still a problem on F27.  It is still necessary to mask iio-sensor-proxy.

I assume the proper fix is to add the hardware to /usr/lib/udev/hwdb.d/60-sensor.hwdb.

Any help in how to get the right info from the physical hardware to fill in the matrix would be appreciated.  I can't find the current (default?) values in sysfs (no mount_matrix) file.


Related: when iio-sensor-proxy is active, gdm only shows "gnome / gnome classic" menu options.  There's no "gnome on x11 option"

Comment 9 Ben Cotton 2018-11-27 18:08:04 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Ben Cotton 2018-11-30 18:21:14 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.